## ocaml-melt 1.3.0

=== Makefile ===
##########################################################################
# Copyright (c) 2009, Romain BARDOU                                      #
# All rights reserved.                                                   #
#                                                                        #
# Redistribution and  use in  source and binary  forms, with  or without #
# modification, are permitted provided that the following conditions are #
# met:                                                                   #
#                                                                        #
# * Redistributions  of  source code  must  retain  the above  copyright #
#   notice, this list of conditions and the following disclaimer.        #
# * Redistributions in  binary form  must reproduce the  above copyright #
#   notice, this list of conditions  and the following disclaimer in the #
#   documentation and/or other materials provided with the distribution. #
# * Neither the  name of Melt nor  the names of its  contributors may be #
#   used  to endorse  or  promote products  derived  from this  software #
#   without specific prior written permission.                           #
#                                                                        #
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS #
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT #
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR #
# A PARTICULAR PURPOSE  ARE DISCLAIMED. IN NO EVENT  SHALL THE COPYRIGHT #
# OWNER OR CONTRIBUTORS BE  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, #
# SPECIAL,  EXEMPLARY,  OR  CONSEQUENTIAL  DAMAGES (INCLUDING,  BUT  NOT #
# LIMITED TO, PROCUREMENT OF SUBSTITUTE  GOODS OR SERVICES; LOSS OF USE, #
# DATA, OR PROFITS; OR BUSINESS  INTERRUPTION) HOWEVER CAUSED AND ON ANY #
# THEORY OF  LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY,  OR TORT #
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING  IN ANY WAY OUT OF THE USE #
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.   #
##########################################################################

include Config

BUILD := _build
OB := $(OCAMLBUILD) $(OCAMLBUILDFLAGS) -no-links -build-dir $(BUILD) -Is prelude,latex,meltpp,melt
OBCLASSIC := $(OB) -classic-display
ifeq ($(TERM), dumb)
	OB := $(OBCLASSIC)
endif

#################################################################################
BYTE = latex/latex.cma melt/melt.cma melt/tool.byte latop/latop.byte meltpp/main.byte
NATIVE := latex/latex.cmxa melt/melt.cmxa melt/tool.native latop/latop.native
ifeq ($(NATDYNLINK), YES)
	NATIVE := $(NATIVE) meltpp/main.native
endif
DOC = latex/latex.docdir/index.html melt/melt.docdir/index.html
BENCHPLUGS = bench/plugs/quot.cma

default: check-ocamlbuild world

check-ocamlbuild:
	@if (test $(OCAMLBUILD) = NO); then echo "This makefile cannot be used without Ocamlbuild.\nPlease read the README file."; exit 1; fi

fast:
	$(OB) $(BYTE)

doc:
	$(OB) $(DOC)

world all:
	$(OB) $(BYTE) $(DOC) $(NATIVE)
#################################################################################

noob.makefile: clean
	cat noob.prelude > $@
	$(OBCLASSIC) $(BYTE) $(NATIVE) $(DOC) | ob2make -r melt/mlpost_off.ml MLPOSTSPECIFIC -r melt/mlpost_on.ml MLPOSTSPECIFIC -Ivar OCAMLINCLUDES all >> $@

install:
	$(OCAML) install.ml -mlpost $(MLPOST) -bin $(INSTALLBIN) -lib $(INSTALLLIB) -man $(INSTALLMAN) -build $(BUILD)

uninstall:
	$(OCAML) install.ml -mlpost $(MLPOST) -bin $(INSTALLBIN) -lib $(INSTALLLIB) -man $(INSTALLMAN) -uninstall

clean:
	rm -rf $(BUILD) bench/_melt
	rm -f *~
	rm -f bench/*.bench.log

dist-clean: clean
	rm -f Config

check bench test %.bench %.check %.test:
	$(OB) $(BYTE) $(NATIVE) $(BENCHPLUGS)
	@make -C bench $@

dist: noob.makefile
	NAME=melt-`ocaml print_version.ml`; \
	mkdir $$NAME; \
	cp --parents $(shell darcs query manifest) $^ $$NAME; \
	tar czf $$NAME.tgz $$NAME; \
	rm -rf $$NAME

.PHONY: default fast world clean doc all world.10 bench test check dist check-ocamlbuild

Config: configure.ml totoconf.ml
	ocaml configure.ml

=== debian/changelog ===
ocaml-melt (1.3.0-2build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:44:57 -0600

ocaml-melt (1.3.0-2) unstable; urgency=low

  * Add patch to support bytecode architectures (Closes: #613058)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Feb 2011 18:15:25 +0100

ocaml-melt (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #567885)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2010 10:14:53 +0100

=== debian/control ===
Source: ocaml-melt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 mlpost,
 ghostscript,
 texlive-latex-extra,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.1
Section: tex
Homepage: http://melt.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-melt.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-melt.git

Package: ocaml-melt
Architecture: any
Depends:
 texlive-latex-base,
 libmelt-ocaml-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 texlive-latex-extra,
 mlpost
Description: LaTeX with OCaml (tools)
 Melt is a set of libraries and tools which allows you to program
 LaTeX documents using OCaml. This combines the typesetting power of
 LaTeX with the programming power of OCaml. It can be combined with
 Mlpost to include figures.
 .
 This package contains command-line tools to compile Melt files.

Package: libmelt-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: LaTeX with OCaml (libraries)
 Melt is a set of libraries and tools which allows you to program
 LaTeX documents using OCaml. This combines the typesetting power of
 LaTeX with the programming power of OCaml. It can be combined with
 Mlpost to include figures.
 .
 This package contains libraries needed to compile Melt files.

## ocaml-melt 1.4.0

=== Makefile ===
--- 
+++ 
@@ -37,11 +37,18 @@
 	OB := $(OBCLASSIC)
 endif
 
+HAS_OCAMLOPT := $(shell if which ocamlopt > /dev/null; then echo yes; else echo no; fi)
+NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+
 #################################################################################
 BYTE = latex/latex.cma melt/melt.cma melt/tool.byte latop/latop.byte meltpp/main.byte
+ifeq ($(HAS_OCAMLOPT),yes)
 NATIVE := latex/latex.cmxa melt/melt.cmxa melt/tool.native latop/latop.native
 ifeq ($(NATDYNLINK), YES)
 	NATIVE := $(NATIVE) meltpp/main.native
+endif
+else
+NATIVE :=
 endif
 DOC = latex/latex.docdir/index.html melt/melt.docdir/index.html
 BENCHPLUGS = bench/plugs/quot.cma

=== bench/Makefile ===
default all check bench test:
	ocaml bench.ml *.mlt

%.bench %.check:
	ocaml bench.ml $*.mlt

%.test: %.check
	evince $*.ps

.PHONY: default all check bench test

=== debian/changelog ===
ocaml-melt (1.4.0-3) unstable; urgency=medium

  * Fix FTBFS with OCaml 4.08.1 (Closes: #944600)
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 15:50:10 +0200

ocaml-melt (1.4.0-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends
  * Switch debian/copyright to format 1.0
  * Update Vcs-*
  * Bump Standards-Version to 4.0.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jul 2017 09:35:36 +0200

ocaml-melt (1.4.0-1) unstable; urgency=low

  * New upstream release
    - remove all patches (merged upstream)
  * Bump Standards-Version to 3.9.2 (no changes)
  * Move mlpost from Recommends to Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 13:09:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,32 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9),
+ debhelper-compat (= 13),
+ dh-ocaml,
  ocaml-findlib,
+ ocamlbuild,
  mlpost,
  ghostscript,
  texlive-latex-extra,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.1
+ ocaml-nox
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: tex
 Homepage: http://melt.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-melt.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-melt.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-melt
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-melt.git
 
 Package: ocaml-melt
 Architecture: any
 Depends:
+ mlpost,
  texlive-latex-base,
  libmelt-ocaml-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends:
- texlive-latex-extra,
- mlpost
+ texlive-latex-extra
 Description: LaTeX with OCaml (tools)
  Melt is a set of libraries and tools which allows you to program
  LaTeX documents using OCaml. This combines the typesetting power of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
export HAS_OCAMLOPT=$(OCAML_HAVE_OCAMLOPT)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) dist-clean

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml -unsafe-string configure.ml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C bench doc.bench
	cd bench && ps2pdf doc.ps

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install INSTALLBIN=debian/tmp/usr/bin INSTALLMAN=debian/tmp/usr/share/man/man1
	mkdir -p debian/tmp/usr/share/doc/libmelt-ocaml-dev/html
	cp -a _build/latex/latex.docdir debian/tmp/usr/share/doc/libmelt-ocaml-dev/html/latex
	cp -a _build/melt/melt.docdir debian/tmp/usr/share/doc/libmelt-ocaml-dev/html/melt
	rm -f debian/tmp/usr/share/doc/libmelt-ocaml-dev/*/*.stamp
